#ifndef KartenLeser_H
#define KartenLeser_H

#include <Text.h>
#include "InformationServer.h"

using namespace Framework;

struct SpielerTeamStruktur;

class KartenLeser
{
private:
	Text *pfad;
	int ref;

public:
	// Konstruktor 
	KartenLeser( int karteId, InformationServer *is );
	// Destruktor
	~KartenLeser();
	// nicht constant
	bool ladeSpielerTeamStruktur( SpielerTeamStruktur *sts );
	// constant
	Text *getPfad() const;
	Text *zPfad() const;
	// Reference Counting
	KartenLeser *getThis();
	KartenLeser *release();
};

#endif